



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>mysql explain rows理解</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">mysql explain rows理解</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-28 12:43:15 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>在MySQL性能调试中，常常使用EXPLAIN解释MySQL执行计划，从而用来估算性能耗时。其中，rows用来表示在SQL执行过程中会被扫描的行数，该数值越大，意味着需要扫描的行数，相应的耗时更长。但是需要注意的是EXPLAIN中输出的rows只是一个估算值，不能完全对其百分之百相信，如EXPLAIN中对LIMITS的支持就比较有限。可以参考文章《MySQL EXPLAIN limits and errors》</p>
<p>另外这个rows在官网的文档中也有解释：<br><a href="http://dev.mysql.com/doc/refman/5.7/en/explain-output.html#explain_rows" rel="external nofollow noreferrer">http://dev.mysql.com/doc/refman/5.7/en/explain-output.html#explain_rows</a></p>
<p>The rows column indicates the number of rows MySQL believes it must examine to execute the query.</p>
<p>这个rows就是mysql认为必须要逐行去检查和判断的记录的条数。&nbsp;<br>举个例子来说，假如有一个语句 select * from t where column_a = 1 and column_b = 2;<br>全表假设有100条记录，column_a字段有索引（非联合索引），column_b没有索引。<br>column_a = 1 的记录有20条， column_a = 1 and column_b = 2 的记录有5条。</p>
<p>那么最终查询结果应该显示5条记录。 explain结果中的rows应该是20. 因为这20条记录mysql引擎必须逐行检查是否满足where条件。</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/r93yvdn8.html">CSS垂直居中</a>
		</li>
						<li><a href="https://www.batexi.com/a/4qnvvkg8.html">Redis 集群的合纵与连横</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8o126eq.html">通过3个Hello World应用来了解ASP&period;NET 5应用是如何运行的（2）</a>
		</li>
						<li><a href="https://www.batexi.com/a/390r0z39.html">machine learning基础与实践系列</a>
		</li>
						<li><a href="https://www.batexi.com/a/39r4l2r8.html">STM32F051芯片解密STM32F091IC解密STM32F042单片机破解多少钱？</a>
		</li>
						<li><a href="https://www.batexi.com/a/m8z31ynq.html">CM添加kafka服务</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8oyvyxq.html">canvas内容</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1zrz509.html">MVC5&plus;EF6 （附加分页功能）</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pj6kxk9.html">android之TabWidget选项卡</a>
		</li>
						<li><a href="https://www.batexi.com/a/96oey2n9.html">PHP magic&lowbar;quotes&lowbar;gpc</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxnpeoe8.html">windows 7 系统进程服务详解</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv1knyoq.html">面向对象设计&mdash;&mdash;抽象工厂&lpar;Abstract Factory&rpar;模式</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1k1kg59.html">使用python爬虫&comma;批量爬取抖音app视频（requests&plus;Fiddler&plus;appium）</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zo0dd1q.html">C&num;单元测试，带你快速入门</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnj3wng8.html">C&plus;&plus;：位操作基础篇之位操作全面总结</a>
		</li>
						<li><a href="https://www.batexi.com/a/8o1kdd5q.html">Datediff的使用（统计本日，昨日，本周，本月）</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e451nj9.html">golang与vscode的安装与配置</a>
		</li>
						<li><a href="https://www.batexi.com/a/90rk3k49.html">【牛客网71E】 组一组（差分约束，拆位）</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1rdmj58.html">Django--模板层template</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwv3rly8.html">廖雪峰Java2面向对象编程-6Java核心类-1字符串和编码</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/qlj3lgk9.html">基于web的jfreechart的使用</a>
			</li>
						<li><a href="https://www.batexi.com/a/950k3ee8.html">Ext JS 5 beta版发布</a>
			</li>
						<li><a href="https://www.batexi.com/a/8kpgn569.html">如何在Android上编写高效的Java代码</a>
			</li>
						<li><a href="https://www.batexi.com/a/8oj0531q.html">android SurfaceView绘制实现原理解析</a>
			</li>
						<li><a href="https://www.batexi.com/a/9jz4pdg8.html">Erlang cowboy websocket 服务器</a>
			</li>
						<li><a href="https://www.batexi.com/a/9pdo73k9.html">RHEL 6&period;9 udev 将lv绑定raw devices</a>
			</li>
						<li><a href="https://www.batexi.com/a/90mx4po8.html">C&num; 添加、读取Word脚注尾注</a>
			</li>
						<li><a href="https://www.batexi.com/a/qwjm4vr8.html">vncdotool - A command line VNC client</a>
			</li>
						<li><a href="https://www.batexi.com/a/qnjz40k8.html">【redis】Java连接云服务器redis之JedisConnectionException的异常问题</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdp4l50q.html">java核心卷轴之集合</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
